include(FetchContent)

if(NOT DEFINED DDS_IMAGE_REPO)
    set(DDS_IMAGE_REPO https://github.com/spnda/dds_image.git)
endif ()

FetchContent_Declare(
    dds_image
    EXCLUDE_FROM_ALL
    GIT_REPOSITORY ${DDS_IMAGE_REPO}
    GIT_TAG main
    GIT_SHALLOW TRUE
)

FetchContent_MakeAvailable(dds_image)